# CUpti_Profiler_GetCounterAvailability_Params Struct Reference
[CUPTI Profiling API]

Params for cuptiProfilerGetCounterAvailability.

## Data Fields
size_t | counterAvailabilityImageSize
CUcontext | ctx
| [in] if NULL, the current CUcontext is used
uint8_t * | pCounterAvailabilityImage
| [in] buffer receiving counter availability image, may be NULL
void * | pPriv
| [in] assign to NULL
size_t | structSize
| [in] CUpti_Profiler_GetCounterAvailability_Params_STRUCT_SIZE

## Field Documentation

size_t CUpti_Profiler_GetCounterAvailability_Params::counterAvailabilityImageSize

[in/out] If `pCounterAvailabilityImage` is NULL, then the required size is returned in `counterAvailabilityImageSize`, otherwise `counterAvailabilityImageSize` should be set to the size of `pCounterAvailabilityImage`, and on return it would be overwritten with number of actual bytes copied